Per-segment theme report with sample quotes
POST
/v2/analytics/segment-reports
const url = 'https://api.surveycoder.io/v2/analytics/segment-reports';const options = { method: 'POST', headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'}, body: '{"project_id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","question_id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","segment_key":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.surveycoder.io/v2/analytics/segment-reports \ --header 'Content-Type: application/json' \ --header 'x-api-key: <x-api-key>' \ --data '{ "project_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "question_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "segment_key": "example" }'Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
project_id
required
string format: uuid
question_id
required
string format: uuid
segment_key
string
Example generated
{ "project_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "question_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "segment_key": "example"}Responses
Section titled “ Responses ”Per-segment report